=== debian/changelog ===
ros-eloquent-rcl-yaml-param-parser (0.8.5-1bionic) bionic; urgency=high

  * added rcl yaml param parser doxyfile (#634 <https://github.com/ros2/rcl/issues/634>) (#700 <https://github.com/ros2/rcl/issues/700>)
  * Fix behavior when provided a malformed parameters file (#556 <https://github.com/ros2/rcl/issues/556>)

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Fri, 04 Dec 2020 06:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.8.4-1bionic) bionic; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Fri, 17 Jan 2020 06:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.8.3-1bionic) bionic; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Fri, 08 Nov 2019 06:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.8.2-1bionic) bionic; urgency=high

  * Specify test working directory (#529 <https://github.com/ros2/rcl/issues/529>)
  * Remove the maximum string size. (#524 <https://github.com/ros2/rcl/issues/524>)
  * Contributors: Chris Lalancette, Dan Rose

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.8.1-1bionic) bionic; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Tue, 08 Oct 2019 05:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.8.0-1bionic) bionic; urgency=high

  * Enable incremental parameter yaml file parsing. (#507 <https://github.com/ros2/rcl/issues/507>)
  * Support parameter overrides and remap rules flags on command line (#483 <https://github.com/ros2/rcl/issues/483>)
  * Increase MAX_STRING_SIZE (#487 <https://github.com/ros2/rcl/issues/487>)
  * include actual size in error message (#490 <https://github.com/ros2/rcl/issues/490>)
  * Avoid C4703 error on UWP (#282 <https://github.com/ros2/rcl/issues/282>)
  * [YAML Parser] Support parameter value parsing (#471 <https://github.com/ros2/rcl/issues/471>)
  * [YAML Parser] Depend on rcutils only (#470 <https://github.com/ros2/rcl/issues/470>)
  * Accept quoted int or float values as strings (#464 <https://github.com/ros2/rcl/issues/464>)
  * Fix memory corruption when maximum number of parameters is exceeded (#456 <https://github.com/ros2/rcl/issues/456>)
  * Contributors: Dirk Thomas, Esteve Fernandez, Jacob Perron, Michel Hidalgo, hyunseok-yang, ivanpauno

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Thu, 26 Sep 2019 05:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.7.4-1bionic) bionic; urgency=high

  * Allow empty strings if they are quoted. (#450 <https://github.com/ros2/rcl/issues/450>)
  * Contributors: Ralf Anton Beier

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Wed, 29 May 2019 05:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.7.3-1bionic) bionic; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.7.2-1bionic) bionic; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Wed, 08 May 2019 05:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.7.1-1bionic) bionic; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Mon, 29 Apr 2019 05:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.7.0-1bionic) bionic; urgency=high

  * Corrected bool reading from yaml files. (#415 <https://github.com/ros2/rcl/issues/415>)
  * Added launch along with launch_testing as test dependencies. (#393 <https://github.com/ros2/rcl/issues/393>)
  * Set symbol visibility to hidden for rcl. (#391 <https://github.com/ros2/rcl/issues/391>)
  * Contributors: Michel Hidalgo, Sachin Suresh Bhat, ivanpauno

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Sun, 14 Apr 2019 05:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.6.4-1bionic) bionic; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Fri, 11 Jan 2019 06:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.6.3-1bionic) bionic; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Thu, 13 Dec 2018 06:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.6.2-1bionic) bionic; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Thu, 13 Dec 2018 06:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.6.1-1bionic) bionic; urgency=high

  * No changes.

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Fri, 07 Dec 2018 06:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.6.0-1bionic) bionic; urgency=high

  * Updated to use new error handling API from rcutils (#314 <https://github.com/ros2/rcl/issues/314>)
  * Fixed FQN=//node_name when ns is / (#299 <https://github.com/ros2/rcl/issues/299>)
  * Fixed documentation issues (#288 <https://github.com/ros2/rcl/issues/288>)
  * Fixed to deallocate ret_val to avoid memory leak (#278 <https://github.com/ros2/rcl/issues/278>)
  * Contributors: Chris Ye, William Woodall, dhood

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Fri, 16 Nov 2018 06:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.5.0-1bionic) bionic; urgency=high

  * Added functions to parse YAML parameter files. (#235 <https://github.com/ros2/rcl/issues/235>)
  * Contributors: Shane Loretz, William Woodall, anup-pem, dhood

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Mon, 25 Jun 2018 05:00:00 -0000
