=== debian/control ===
Source: ros-eloquent-rcl-yaml-param-parser
Section: misc
Priority: optional
Maintainer: Anup Pemmaiah <anup.pemmaiah@apex.ai>
Build-Depends: debhelper (>= 9.0.0), libyaml-dev, ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-cmake-ros, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-libyaml-vendor, ros-eloquent-osrf-testing-tools-cpp, ros-eloquent-rcutils, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-rcl-yaml-param-parser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-dev, ros-eloquent-libyaml-vendor, ros-eloquent-ros-workspace
Description: Package containing various utility types and functions for C
